$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-aa4fdff82cea9ca5fef2443e37d5fe52292a89ca/rpcs3-v0.0.10-10499-aa4fdff8_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '52b77f6125317101fd618b3a8c568c77c531c08f645e7993e5a50e19fa699522'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
